{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "DATE_MODIFICATION"; 
            externalType = DATE; 
            name = dateModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "DATE_VOTE_CA"; 
            externalType = DATE; 
            name = dateVoteCA; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MTE_ID"; 
            externalType = NUMBER; 
            name = mteId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MTE_LIBELLE"; 
            externalType = VARCHAR2; 
            name = mteLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 512; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MTE_MAX"; 
            externalType = NUMBER; 
            name = mteMax; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MTE_MIN"; 
            externalType = NUMBER; 
            name = mteMin; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "TCN_ID"; 
            externalType = NUMBER; 
            name = tcnId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (mteId, exeOrdre, mteLibelle, tcnId); 
    className = "org.cocktail.sapics.serveur.eof.model.EOMapaTrancheExer"; 
    classProperties = (
        dateModification, 
        dateVoteCA, 
        mteId, 
        mteMin, 
        mteMax, 
        mteLibelle, 
        typeCN, 
        exercice
    ); 
    externalName = "JEFY_MARCHES.MAPA_TRANCHE_EXER"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            mteId, 
            dateVoteCA, 
            dateModification, 
            mteLibelle, 
            mteMax, 
            mteMin, 
            typeCN, 
            exercice
        ); 
        "_javaClientClassName" = "org.cocktail.sapics.client.eof.model.EOMapaTrancheExer"; 
        "_nameInObjectStore" = "MAPA_TRANCHE_EXER"; 
    }; 
    name = MapaTrancheExer; 
    primaryKeyAttributes = (mteId); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = TypeCN; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcnId; sourceAttribute = tcnId; }); 
            name = typeCN; 
        }
    ); 
}
